@font-face {
    font-family:'Glacial' ;
    src: url(/font/GlacialIndifference-Regular.otf);
    font-family: 'Glacial Gras';
    src: url(/font/GlacialIndifference-Bold.otf);
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Glacial';
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #333;
}

.carte{
    position: relative;
    width: 350px;
    height: 190px;
    background: #fff;
    transition: 0.5s;
}

.carte:hover{
    height: 450px;
}

.carte .lignes{
    position: absolute;
    inset: 0;
    background: #000;
    overflow: hidden;
} 
.carte .lignes::before{
   content: '';
   position: absolute;
   top: 50%;
   left: 50%;
   width: 600px;
   height: 120px;
   background: linear-gradient(transparent, #FFBD59, #FFBD59, #FFBD59, transparent);
   animation: animate 5s linear infinite;
}

@keyframes animate {
    0%{
       transform: translate(-50%,50%) rotate(0deg); 
    }
    100%{
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

.carte .lignes::after{
    content: '';
    position: absolute;
    inset: 3px;
    background: #292929;
}

.carte .imgP{
  position: absolute; 
  top: -50px;
  left: 50%;
  transform: translateX(-50%);
  width: 150px;
  height: 150px;
  background: #000; 
  transition: 0.5s;
  z-index: 10;
  overflow: hidden; 
}

.carte:hover .imgP{
    width: 250px;
    height: 250px;
}

.carte .imgP::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 500px;
    height: 150px;
    transform: translate(-50%, -50%);
    background: linear-gradient(transparent, #5c1056, #5c1056, #5c1056, transparent);
    animation: animate2 6s linear infinite;
}

@keyframes animate2 {
    0%{
        transform: translate(-50%,50%) rotate(360deg); 
     }
     100%{
         transform: translate(-50%, -50%) rotate(0deg);
     }
}

.carte .imgP::after{
   content:''; 
   position: absolute;
   inset: 3px;
   background: #292929;
}

.carte .imgP img {
    position: absolute;
    top: -11px;
    left: 10px;
    z-index: 1;
    width: calc(100% - 20px);
    height: calc(100% -20px);
}

.carte .contenu{
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    overflow: hidden;
}

.carte .contenu .details {
    padding: 40px;
    text-align: center;
    width: 100%;
    transition: 0.5s;
    transform: translateY(145px);
}

.carte:hover .contenu .details{
    transform: translateY(0px);

}

.carte .contenu .details h2{
    font-size: 1.25em;
    font-weight: 600;
    color: #FFBD59;
    line-height: 1.2em;
}

.carte .contenu .details h2 span {
    font-size: 0.75em;
    font-weight: 500;
    color: #fff;
}

.carte .contenu .details .data {
    display: flex;
    justify-content: space-between;
    margin : 20px 0;
}

.carte .contenu .details .data h3{
    font-size: 1em;
    color: #FFBD59;
    line-height: 1.2em;
    font-weight: 600;
}

.carte .contenu .details .data h3 span{
    font-size: 0.85em;
    font-weight: 400;
    color: #fff;
}

.carte .contenu .details .actionBtn {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}

.carte .contenu .details .actionBtn button{
    padding: 10px 30px;
    border: none;
    outline: none;
    border-radius: 5px;
    font-size: 1em;
    font-weight: 500;
    background: #FFBD59;
    color: #000;
    cursor: pointer;
}

.carte .contenu .details .actionBtn button:nth-child(2) {
    background: #fff;
}

.carte .contenu .details .actionBtn button:hover {
    opacity: 1;
}